//  //
//  ###  ##### #   #              -= Confix Library =-                   //
// #   # #     ## ## Config.h - Build confiruation                       //
// #     ####   ###                                                      //
// #     #      ###  Contains various #defines for configuring           //
// #   # #     ## ## the config build process                            //
//  ###  #     #   # R1             (C)2002 Markus Ewald -> License.txt  //
//  //
#ifndef CFX_CONFIG_H
#define CFX_CONFIG_H

// Defines the current version of config. Can be used by 
// applications to indentify compatibility issues
//
#define CONFIX_VERSION 0x100

// Platform recognition
//
#if defined(WIN32) || defined(_WIN32)
  #define __WIN32__
#else
  #define __LINUX__
#endif

#ifdef _MSC_VER
  #pragma warning(disable:4786) // Warning: Debug symbol truncated to 255 characters
#endif

// Confix requires a recent version STLport to compile.
// If you want to use another STL implementation or think the one bundled
// with your compiler is sufficient, you can always remove this passage.
//
//#include <stl/_config.h>
//#if _STLPORT_VERSION < 0x450
//  #error CONFIX: STLport 4.50 or above required (-> www.stlport.org)
//#endif 

// The following block will decide whether symbols are imported from a
// dll (client app) or exported to a dll (library). The CONFIX_EXPORTS symbol
// should only be used for compiling the config library and nowhere else.
//
// If you dynamically link against confix, you should define CONFIX_DLL for
// your project in order to import the dll symbols from config.
//
#ifdef CONFIX_DLL
  #ifdef CONFIX_EXPORTS
    #define CONFIX_API __declspec(dllexport)
  #else
    #define CONFIX_API __declspec(dllimport)
  #endif
#else
  #define CONFIX_API
#endif CONFIX_DLL

// This is the namespace used for the entire confix api. You can change its
// value here to place confix in a different namespace, or you can #define
// it to another value immediately before including any other confix header
//
#ifndef CONFIX_NAMESPACE
  #ifndef CONFIX_NONAMESPACE
    #define CONFIX_NAMESPACE CFX
  #endif CONFIX_NONAMESPACE
#endif CONFIX_NAMESPACE

#ifndef interface
#define interface struct
#endif

#endif CFX_CONFIG_H
